Getting started with dynamic display - license error

1181
1
03-03-2014 06:07 AM
Highlighted
by Anonymous User
Not applicable
Original User: RickeyTTom

I have a standard ESRI license.
I need to look at implementing Dynamic Layers.

I started with the Getting started with dynamic display walk through
http://resources.arcgis.com/en/help/arcobjects-net/conceptualhelp/index.html#//000100000224000000


I got the following errors
[ATTACH=CONFIG]31901[/ATTACH]
[ATTACH=CONFIG]31900[/ATTACH]

What am I missing?
Does the standard license not allow me to work with the control?
My understanding is that it does.

Is there a better example to work from?

Thanks
0 Kudos
1 Reply
Highlighted
by Anonymous User
Not applicable
Original User: Neil

In order to develop with the Engine controls, you need an Engine developer license.  This didn't use to be the case but it changed a few versions back.  We have several applications that were originally built back in 8.x that use the MapControl and we continue to use it without any problems, upgrading/recompiling the code with each new version.  Each time I open a form that has the control, I get a message stating I need the Engine dev license.  I dismiss the message and can edit the code behind the form as well as add/remove standard form controls.  I'm not sure if I can actually edit the MapControl though as I've never had the need.  That being said, if you're trying to add the control to a form then I would imagine you need the license.
0 Kudos